<%- include('../partials/header') %>
<%- include('../partials/scripts') %>
</head>

<body class="min-vh-100 d-flex flex-column">
	<%- include('../partials/navbar') %>
	<div class="main-content d-flex flex-column flex-grow-1">
		<%- include('../partials/topbar') %>
		<%- include('./header', { active: 'list' }) %>
		<div class="container-fluid mt--7 flex-grow-1">
			<!-- Light table -->
			<div class="row">
				<div class="col">
					<div class="card">
						<!-- Card header -->
						<div class="card-header border-0">
							<h3 class="mb-0">Seznam</h3>
						</div>
						<div class="table-responsive">
							<table class="table w-100" id="teams">
								<thead class="thead-light">
									<tr>
										<th scope="col">ID</th>
										<th scope="col" class="sort">Priorita</th>
										<th scope="col">Název</th>
										<th scope="col">Koš</th>
										<th scope="col">Narážka</th>
										<th scope="col">Kategorie</th>
										<th scope="col">Autor</th>
										<th scope="col">Akce</th>
									</tr>
								</thead>
							</table>
						</div>
					</div>
				</div>
			</div>
			<%- include('../partials/footer') %>
		</div>
	</div>
	<%- include('../partials/scripts-file-end') %>
	<%- include('../partials/datatables') %>
	<script>
		function deleteTeamById(id) {
			swal({
				title: 'Opravdu chcete smazat tento tým?',
				text: 'Radši si to dvakrát rozmyslete.',
				icon: 'warning',
				timer: 5000,
				dangerMode: true,
				buttons: {
					cancel: "Byl to omyl",
					confirm: 'Smazat!',
				},
			}).then((confirm) => {
				if (confirm) {
					API.team
						.delete(id)
						.done((response) => {
							console.log(response);
							switch (response) {
								case 'ok':
									swal({
										title: 'Tým byl smazán!',
										text: 'Už ho nikdy neuvidíme.',
										icon: 'success',
										timer: 5000
									}).then((value) => {
										location.reload()
									})
									break

								default:
									swal({
										title: 'Něco se pokazilo!',
										text: response,
										icon: 'error'
									})
									break
							}
						})
				}
			})
		}

		$(document).ready(function () {
			API.team
				.list()
				.done((dataFromServer) => {
					$('table#teams').DataTable({
						language: {
							url: '/js/dataTables/myCzech.json'
						},
						order: [[1, "desc"]],
						responsive: true,
						data: dataFromServer,
						columns: [
							{
								data: "_id",
								visible: false,
							}, {
								data: 'priority',
								visible: false
							}, {
								data: 'name',
							}, {
								data: 'basket',
							}, {
								data: 'pourer',
							}, {
								data: 'category',
								fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
									$(nTd).html(oData.category.name)
								}
							}, {
								data: 'author',
								fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
									let authorDOM = $('<div>', { class: 'avatar-group' })
									$('<a>', {
										href: `${oData.author._id === undefined ? '#' : ''}/admin/users/detail/${oData._id}`,
										class: 'avatar avatar-sm rounded-circle',
										'data-toggle': 'tooltip',
										'data-original-title': `${oData.author.name.first} ${oData.author.name.middle !== undefined ? `${oData.author.name.middle} ` : ''}${oData.author.name.last}`,
									}).tooltip().append(
										$('<img>', {
											alt: 'Autorův avatar',
											src: oData.author.photo
										})
									).appendTo(authorDOM)
									$(nTd).html(authorDOM)
									// $(nTd).html(`${oData.author.name.first} ${oData.author.name.middle} ${oData.author.name.last}`)
								}
							}, {
								data: '_id',
								fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
									$(nTd).html(
										$("<div>", { class: "row m-auto justify-content-around" }).append(
											$("<a>", { href: `/admin/teams/edit/${oData._id}`, style: "background: none; border: none; padding: 0; " }).append(
												$("<i>", { class: "fas fa-pen text-primary" }),
											),
											$('<button>', {
												onclick: `deleteTeamById('${oData._id}');`,
												style: "background: none; border: none; padding: 0; "
											}).append(
												$('<i>', { class: "fas fa-trash text-danger" }),
											),
										),
									);
								}
							}
						],
					})
				})
		})
	</script>
	<%- include('../partials/file-end') %>
